Package net.snowflake.client.jdbc

## Class SFBaseFileTransferAgent.DownloadCommandFacade

- java.lang.Object
- - net.snowflake.client.jdbc.SFBaseFileTransferAgent.DownloadCommandFacade

Direct Known Subclasses:
  `SFBaseFileTransferAgent.DownloadCommandEncryptionFacade`

Enclosing class:
  SFBaseFileTransferAgent

    public class SFBaseFileTransferAgent.DownloadCommandFacade
    extends Object

A class for encapsulating the columns to return for the download command

### Constructor Summary

Constructors
`DownloadCommandFacade​(String file, String resultStatus, String errorDetails, long size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DownloadCommandFacade

    public DownloadCommandFacade​(String file,
                                 String resultStatus,
                                 String errorDetails,
                                 long size)

### Method Detail

#### getFile

    public String getFile()